{ lib, ... }:
with lib;
{
    i18n.defaultLocale = mkDefault "en_GB.UTF-8";
    console.keyMap = mkDefault "de";
    services.openssh.enable = mkDefault true;
    services.openssh.passwordAuthentication = mkDefault false;

    nix.gc = mkDefault {
        automatic = true;
        dates = "weekly";
        options = "--delete-older-than 30d";
    };
}
